Skip to main content
POST
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
api-keys
CreateAPIKey
curl --request POST \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/api-keys \
  --header 'Content-Type: application/json' \
  --data '
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "description": "<string>",
    "index_data": {},
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "tags": [
      "<string>"
    ]
  },
  "propagate": true,
  "spec": {
    "expiration_time": "2023-11-07T05:31:56Z",
    "permissions": {
      "except_resources": [
        "<string>"
      ],
      "roles": [
        "SYSTEM_ROLE_UNSPECIFIED"
      ],
      "rules": {}
    },
    "issuing_user": {
      "meta": {
        "name": "<string>",
        "annotations": {},
        "description": "<string>",
        "index_data": {},
        "parent_kind": "<string>",
        "parent_uuid": "<string>",
        "tags": [
          "<string>"
        ]
      },
      "spec": {
        "email": "<string>",
        "event_tracking": {},
        "first_name": "<string>",
        "groups": [
          "<string>"
        ],
        "last_name": "<string>",
        "token_hash": "<string>"
      }
    }
  },
  "tenant_meta": {}
}
'
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "propagate": true,
  "spec": {
    "expiration_time": "2023-11-07T05:31:56Z",
    "permissions": {
      "except_resources": [
        "<string>"
      ],
      "roles": [
        "SYSTEM_ROLE_UNSPECIFIED"
      ],
      "rules": {}
    },
    "issuing_user": {
      "meta": {
        "name": "<string>",
        "annotations": {},
        "create_time": "2023-11-07T05:31:56Z",
        "created_by": "<string>",
        "description": "<string>",
        "index_data": {
          "data": [
            "<string>"
          ],
          "search_score": 123,
          "tenant": "<string>",
          "will_be_deleted_at": "2023-11-07T05:31:56Z"
        },
        "kind": "<string>",
        "parent_kind": "<string>",
        "parent_uuid": "<string>",
        "references": {},
        "tags": [
          "<string>"
        ],
        "update_time": "2023-11-07T05:31:56Z",
        "updated_by": "<string>",
        "upsert_time": "2023-11-07T05:31:56Z",
        "version": "<string>"
      },
      "spec": {
        "email": "<string>",
        "event_tracking": {},
        "first_name": "<string>",
        "groups": [
          "<string>"
        ],
        "last_login_time": "2023-11-07T05:31:56Z",
        "last_name": "<string>",
        "token_hash": "<string>",
        "user_name": "<string>"
      },
      "uuid": "<string>"
    },
    "key": "<string>",
    "secret": "<string>"
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

Body

application/json

Manages the system API keys.

meta
object
required

Common fields for all Endor Labs resources.

propagate
boolean

Indicates whether the API key can be used for the child namespaces.

spec
object
tenant_meta
APIKeys are namespaced objects. · object

APIKeys are namespaced objects.

Response

A successful response.

Manages the system API keys.

meta
object
required

Common fields for all Endor Labs resources.

propagate
boolean

Indicates whether the API key can be used for the child namespaces.

spec
object
tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string

The UUID of an API key resource.